Unified CCE Software Compatibility Matrix for 8.5(x)

From DocWiki

(Difference between revisions)
Jump to: navigation, search
m (1 revision)
m (1 revision: Updated EIM WIM versions per Emmanuel Badoo)
(11 intermediate revisions not shown)
Line 3: Line 3:
'''Go to:''' [[Compatibility Matrix for Unified CCE|'''Compatibility Matrix for Unified CCE''']]  
'''Go to:''' [[Compatibility Matrix for Unified CCE|'''Compatibility Matrix for Unified CCE''']]  
-
'''Go to:''' [[:Category:Unified Contact Center Enterprise|'''Category:Unified Contact Center Enterprise''']]<br>  
+
'''Go to:''' [[:Category:Unified Contact Center Enterprise|'''Category:Unified Contact Center Enterprise''']]<br>
----
----
-
== Unified CCE 8.5(x) Product Sets<br> ==
+
{| class="wikitable" border="1"
 +
|-
 +
! style="color: green; background-color: rgb(255,255,204)" |
 +
'''<font size="3">Introduction</font>'''
 +
 
 +
|-
 +
| '''This compatibility matrix specifies all supported configurations and versions for Cisco Unified Contact Center Enterprise 8.5(x). The information in this compatibility matrix supersedes compatibility information in any other Cisco Unified Contact Center Enterprise documentation. If a configuration or version is not stated, that configuration or version is not supported.'''
 +
|-
 +
|
 +
<br>
 +
 
 +
== Unified CCE 8.5(x) Product Sets<br> ==
-
{| width="977" cellspacing="1" cellpadding="1" border="1" style="width: 977px; height: 533px"
+
{| style="height: 533px; width: 977px" cellspacing="1" cellpadding="1" width="977" border="1"
|-
|-
! scope="col" | Unified CM  
! scope="col" | Unified CM  
Line 16: Line 27:
PG/CAD/CTI OS <br>Server  
PG/CAD/CTI OS <br>Server  
-
(See Note 10)<br>  
+
(See Note 5)<br>
! scope="col" |  
! scope="col" |  
CTI OS <br>Desktop  
CTI OS <br>Desktop  
-
(See&nbsp;Note 10)<br>  
+
(See&nbsp;Note 5)<br>
! scope="col" | Unified <br>Intelligence<br>Center  
! scope="col" | Unified <br>Intelligence<br>Center  
Line 30: Line 41:
Unified CCMP  
Unified CCMP  
-
(See Note 9)  
+
(See Note 4)
-
! scope="col" | MediaSense
 
-
! scope="col" | SocialMiner
 
! scope="col" | Finesse
! scope="col" | Finesse
|-
|-
Line 40: Line 49:
IP IVR <br>8.5(1) <br>8.0(x)  
IP IVR <br>8.5(1) <br>8.0(x)  
-
CVP <br>9.0 <br>8.5(1) <br>8.0(x)  
+
CVP <br>9.0.(1) <br>8.5(1) <br>8.0(x)
| valign="top" |  
| valign="top" |  
-
PG 8.5(x)  
+
PG 8.5(x)<br>8.0(x)<br>7.5(x)  
CAD 8.5 (x)  
CAD 8.5 (x)  
-
CTI OS Server 8.5(x)  
+
CTI OS Server <br>8.5(x)<br>8.0(x)<br>7.5(x)
| valign="top" | 8.5(x)<br>8.0(x)<br>7.5(x)  
| valign="top" | 8.5(x)<br>8.0(x)<br>7.5(x)  
| valign="top" |  
| valign="top" |  
-
9.1(x)<br>  
+
9.1(x)<br>
9.0(x)  
9.0(x)  
-
8.5(x) <br>8.0(x)  
+
8.5(x) <br>8.0(x)
| valign="top" |  
| valign="top" |  
 +
9.0(2)
 +
9.0(1)  
9.0(1)  
-
4.4 <br>  
+
4.4(1) <br>
 +
 
 +
4.3(2) <br>
| valign="top" |  
| valign="top" |  
Line 69: Line 82:
CRM for Salesforce <br>7.5(2)<br>1.1 (2)  
CRM for Salesforce <br>7.5(2)<br>1.1 (2)  
-
CRM for Microsoft Dynamics CRM <br>7.5(2)<br>1.1 (2)  
+
CRM for Microsoft Dynamics CRM <br>7.5(2)<br>1.1 (2)
| valign="top" |  
| valign="top" |  
-
9.1(1)<br>9.0(1)<br>8.5(2)<br>8.5(1)  
+
9.1(1)<br>9.0(1)<br>8.5(2)<br>8.5(1)
| valign="top" |  
| valign="top" |  
 +
9.x(x)
 +
8.5(3)  
8.5(3)  
-
8.5(2)  
+
8.5(2)
-
| valign="top" | 8.5(3)
 
-
| valign="top" | 8.5(5)<span class="Apple-tab-span" style="white-space: pre"> </span>
 
| valign="top" | 8.5(3) - Requires CCE 8.5(3)
| valign="top" | 8.5(3) - Requires CCE 8.5(3)
|-
|-
Line 87: Line 100:
IP IVR <br>8.5(1) <br>8.0(x)  
IP IVR <br>8.5(1) <br>8.0(x)  
-
CVP <br>8.5(1) <br>8.0(x)  
+
CVP <br>8.5(1) <br>8.0(x)
| valign="top" |  
| valign="top" |  
-
PG 8.5(x)  
+
PG 8.5(x)<br>8.0(x)<br>7.5(x)  
CAD 8.5(x)  
CAD 8.5(x)  
-
CTI OS Server 8.5(x)  
+
CTI OS Server <br>8.5(x)<br>8.0(x)<br>7.5(x)
| valign="top" | 8.5(x)<br>8.0(x)<br>7.5(x)  
| valign="top" | 8.5(x)<br>8.0(x)<br>7.5(x)  
| valign="top" |  
| valign="top" |  
-
9.1(x)<br>  
+
9.1(x)<br>
9.0(x)  
9.0(x)  
-
8.5(x)<br>8.0(x)  
+
8.5(x)<br>8.0(x)
| valign="top" |  
| valign="top" |  
 +
9.0(2)
 +
9.0(1)  
9.0(1)  
-
4.4  
+
4.4(1)
-
4.3(x)  
+
4.3(2)
| valign="top" |  
| valign="top" |  
Line 120: Line 135:
CRM for Salesforce <br>7.5(2)<br>1.1 (2)  
CRM for Salesforce <br>7.5(2)<br>1.1 (2)  
-
CRM for Microsoft Dynamics CRM <br>7.5(2)<br>1.1 (2)  
+
CRM for Microsoft Dynamics CRM <br>7.5(2)<br>1.1 (2)
| valign="top" | 9.1(1)<br>9.0(1)<br>8.5(1)<br>8.0(x)  
| valign="top" | 9.1(1)<br>9.0(1)<br>8.5(1)<br>8.0(x)  
-
| valign="top" | 8.5(x)  
+
| valign="top" |  
-
| valign="top" | 8.5(x)  
+
9.x(x)  
-
| valign="top" | 8.5(4)  
+
 
 +
8.5(3)  
 +
 
 +
8.5(2)
 +
 
| valign="top" | Not Supported
| valign="top" | Not Supported
|-
|-
| valign="top" | 8.0(x)  
| valign="top" | 8.0(x)  
| valign="top" | IP IVR <br>8.5(1)<br>8.0(x)  
| valign="top" | IP IVR <br>8.5(1)<br>8.0(x)  
-
CVP <br>8.5(1)<br>8.0(x)  
+
CVP <br>8.5(1)<br>8.0(x)
-
| valign="top" | PG 8.5(x)  
+
| valign="top" | PG 8.5(x)<br>8.0(x)<br>7.5(x)  
CAD <br>8.5  
CAD <br>8.5  
-
CTI OS Server<br>8.5(x)<br>8.0(x)<br>7.5(x)  
+
CTI OS Server<br>8.5(x)<br>8.0(x)<br>7.5(x)
| valign="top" | 8.5(x)<br>8.0(x)<br>7.5(x)  
| valign="top" | 8.5(x)<br>8.0(x)<br>7.5(x)  
| valign="top" |  
| valign="top" |  
-
9.1(x)<br>  
+
9.1(x)<br>
9.0(x)  
9.0(x)  
-
8.5(x)<br>8.0(x)  
+
8.5(x)<br>8.0(x)
| valign="top" |  
| valign="top" |  
 +
9.0(2)
 +
9.0(1)  
9.0(1)  
-
4.4 <br>4.3(2)  
+
4.4(1) <br>4.3(2)
| valign="top" |  
| valign="top" |  
Line 159: Line 180:
CRM for Salesforce <br>7.5(2)<br>1.1 (2)  
CRM for Salesforce <br>7.5(2)<br>1.1 (2)  
-
CRM for Microsoft Dynamics CRM <br>7.5(2)<br>1.1 (2)  
+
CRM for Microsoft Dynamics CRM <br>7.5(2)<br>1.1 (2)
| valign="top" | 9.1(1)<br>9.0(1)<br>8.5(1)<br>8.0(x)<br>1.0(2)  
| valign="top" | 9.1(1)<br>9.0(1)<br>8.5(1)<br>8.0(x)<br>1.0(2)  
-
| valign="top" | 8.5(x)  
+
| valign="top" |  
-
| <br>
+
8.5(3)  
-
| 8.5(4)  
+
 
 +
8.5(2)
 +
 
| Not Supported
| Not Supported
|-
|-
| valign="top" | 7.1(5)  
| valign="top" | 7.1(5)  
| valign="top" | IP IVR <br>8.0(x)  
| valign="top" | IP IVR <br>8.0(x)  
-
CVP <br>8.5(1)<br>8.0(x)  
+
CVP <br>8.5(1)<br>8.0(x)
-
| valign="top" | PG<br>8.5(x)  
+
| valign="top" | PG<br>8.5(x)<br>8.0(x)<br>7.5(x)  
CAD<br>8.5  
CAD<br>8.5  
-
CTI OS Server<br>8.5(x)<br>8.0(x)<br>7.5(x)  
+
CTI OS Server<br>8.5(x)<br>8.0(x)<br>7.5(x)
| valign="top" | 8.5(x)<br>8.0(x)<br>7.5(x)  
| valign="top" | 8.5(x)<br>8.0(x)<br>7.5(x)  
Line 182: Line 205:
9.0(x)  
9.0(x)  
-
8.5(x)<br>8.0(x)  
+
8.5(x)<br>8.0(x)
 +
 
 +
| valign="top" |
 +
9.0(2)
 +
 
 +
9.0(1)
 +
 
 +
4.4(1)
 +
 
 +
4.3(2)
-
| valign="top" | 4.3(2)
 
| valign="top" |  
| valign="top" |  
CRM for Siebel 8.5(x)  
CRM for Siebel 8.5(x)  
Line 194: Line 225:
CRM for Salesforce <br>7.5(2)<br>1.1 (2)  
CRM for Salesforce <br>7.5(2)<br>1.1 (2)  
-
CRM for Microsoft Dynamics CRM <br>7.5(2)<br>1.1 (2)  
+
CRM for Microsoft Dynamics CRM <br>7.5(2)<br>1.1 (2)
| valign="top" | 9.1(1)<br>9.0(1)<br>8.5(1)<br>8.0(x)<br>1.0(2)  
| valign="top" | 9.1(1)<br>9.0(1)<br>8.5(1)<br>8.0(x)<br>1.0(2)  
-
| valign="top" | 8.5(x)
+
| valign="top" | 8.5(2)  
-
| <br>
+
-
| 8.5(4)  
+
| Not Supported
| Not Supported
|}
|}
-
<br>  
+
<br>
-
Unified CCE 8.5(x) Notes <br>  
+
Unified CCE 8.5(x) Notes <br>
#Outbound Option SIP Dialer: <br>Supports 28xx, 38xx, AS5350xm, and AS5400xm gateways with a PVDM2 DSP card <br>Supports ISR G2 gateways (29xx and 39xx)&nbsp;with PVDM3 DSP card <br>When needed for design, requires Cisco Unified SIP Proxy Version 8.5(1) or later<br>Supports IOS Release 15.1(x)T, 15.2(4)M<br>CUBE cannot be used as a SIP proxy for the SIP dialer. However, CUBE is allowed between the Gateways and rest of UCCE/ICM solution only when implementing MediaSense. Please reference the MediaSense SRND for full implementation details.  
#Outbound Option SIP Dialer: <br>Supports 28xx, 38xx, AS5350xm, and AS5400xm gateways with a PVDM2 DSP card <br>Supports ISR G2 gateways (29xx and 39xx)&nbsp;with PVDM3 DSP card <br>When needed for design, requires Cisco Unified SIP Proxy Version 8.5(1) or later<br>Supports IOS Release 15.1(x)T, 15.2(4)M<br>CUBE cannot be used as a SIP proxy for the SIP dialer. However, CUBE is allowed between the Gateways and rest of UCCE/ICM solution only when implementing MediaSense. Please reference the MediaSense SRND for full implementation details.  
#Unified Communications Manager 8.5(x) is supported with a Unified CCE 8.5(x) Peripheral Gateway (PG) only.  
#Unified Communications Manager 8.5(x) is supported with a Unified CCE 8.5(x) Peripheral Gateway (PG) only.  
#Unified CCE 8.5(x) Central Controller supports PGs running at the following versions for backward compatibility during upgrade: 7.5(x) and 8.0(x). For UCM compatibility for these PGs, see the UCM Compatibility Guide.  
#Unified CCE 8.5(x) Central Controller supports PGs running at the following versions for backward compatibility during upgrade: 7.5(x) and 8.0(x). For UCM compatibility for these PGs, see the UCM Compatibility Guide.  
-
#Cisco Unified CRM Connector for PeopleSoft, Salesforce and Microsoft Dynamics CRM supports 7.5(2).
+
#Unified CCMP 8.5(1), which is supported on Microsoft Windows 2003 is compatible with Unified CCE 8.5(1).&nbsp; Unified CCMP&nbsp;8.5(2) and 8.5(3), which are supported on Microsoft Windows 2008, are compatible with Unified CCE 8.5(2), 8.5(3), and 8.5(4).  
-
#Agent Greeting requires at least Unified CM 8.5(1), CTI OS Desktop 8.5(1), CVP 8.5(1), and a supported IP Phone. Whisper Announcement requires at least Unified CM 8.5(1), CVP 8.5(1), and a supported IP Phone. See Agent Greeting/Whisper Announcement IP Phone Support and see the following notes for specific requirements for Mobile Agents and Parent/Child deployments.
+
-
#Agent Greeting for Mobile Agents or Parent/Child requires at least Unified CCE 8.5(2), Unified CM 8.5(1) SU2, CTI OS Desktop 8.5(2), CVP 8.5(1) ES4, and a supported IP phone for local (non-mobile) agents. See IP Phone Support.
+
-
#Whisper Announcement for Mobile Agent requires at least Unified CCE 8.5(2), Unified CM 8.5(1) SU2, CTI OS Desktop 8.5(2), CVP 8.5(1) ES4, and a supported IP phone for local (non-mobile) agents. See IP Phone Support.
+
-
#Whisper Announcement in a Parent/Child deployment requires at least Unified CCE 8.5(2), Unified CM 8.5(1) SU2, CTI OS Desktop 8.5(2), UCCX 8.5SU1 + ciscouccx.851SU1agentwhisper.cop.sgn, and a supported IP phone for local (non-mobile) agents. See IP Phone Support.
+
-
#Unified CCMP 8.5(1), which is supported on Microsoft Windows 2003 is compatible with Unified CCE 8.5(1).&nbsp; Unified CCMP&nbsp;8.5(2) and 8.5(3), which are supported on Microsoft Windows 2008, are compatible with Unified CCE 8.5(x).  
+
#The PG, CTI&nbsp;Server, and CTI&nbsp;OS server versions must all be at the same version. Additionally, the PG, CTI Server, CTI OS Server, and CTI OS desktop versions cannot be higher than the Central Controller version.<br>
#The PG, CTI&nbsp;Server, and CTI&nbsp;OS server versions must all be at the same version. Additionally, the PG, CTI Server, CTI OS Server, and CTI OS desktop versions cannot be higher than the Central Controller version.<br>
 +
#Backward compatible PGs are intended to be supported during the transition when you upgrade the Central Controller and PGs to the same version.
 +
#MR PG and Dialer must be at the same version.
-
== <br>IP Phone Support<br>  ==
+
<br>
-
{| width="800" cellspacing="1" cellpadding="1" border="1"
+
= General Compatibility Notes and Limitations  =
 +
 
 +
{| cellspacing="1" cellpadding="1" width="800" border="1"
 +
|-
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | Component
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | Notes
 +
|-
 +
| valign="top" | Phones
 +
| valign="top" | The following general limitations pertain to IP phones used with Unified CCE Enterprise deployments:
 +
*Third-party SIP phones are not supported as contact center agent phones. The SIP standard does not include the necessary messaging for third-party Call Control (3PCC). Unified CCE relies on CTI capabilities on the SIP phones that third-party phones do not have. As an alternative, you may choose to deploy the Mobile Agent solution to enable Cisco Unified CCE and Contact Center Hosted (CCH) to use any phone as an agent phone. Please consult with your Cisco Sales Engineer for additional detail on this configuration.
 +
*IP Communicator is not supported with Cisco Agent Desktop (CAD) IP Phone Agent.
 +
*See the [http://www.cisco.com/en/US/products/sw/voicesw/ps556/products_device_support_tables_list.html Cisco Unified Communications Manager Compatibility Guide ]for SIP and other phone protocol support.
 +
 
 +
|-
 +
| valign="top" | System Peripheral Gateway (PG) Deployments
 +
| valign="top" | The following general limitations pertain to Unified CCE deployments that use the System PG:
 +
*E-Mail Manager Option, Web Collaboration Option (both end-of-life products), as well as E-Mail Interaction Manager and Web Interaction Manager (Unified EIM/WIM) are not supported with deployments that use the System PG. For Unified EIM/WIM documentation, see:[http://www.cisco.com/en/US/products/ps7233/tsd_products_support_series_home.html Cisco Unified E-Mail Interaction Manager ]and [http://www.cisco.com/en/US/products/ps7233/tsd_products_support_series_home.html Cisco Unified Web Interaction Manager].
 +
 
 +
|}
 +
 
 +
<br>
 +
 
 +
= Unified CCE Parent / Child Compatibility<br> =
 +
 
 +
{| cellspacing="1" cellpadding="1" width="644" border="1"
 +
|-
 +
! style="color: green; background-color: rgb(255,255,204)" | Release<br>
 +
! style="color: green; background-color: rgb(255,255,204)" | Parent 7.5(x)
 +
! style="color: green; background-color: rgb(255,255,204)" | Parent 8.0(x)
 +
! style="color: green; background-color: rgb(255,255,204)" | Parent 8.5(x)
 +
|-
 +
! style="color: green; background-color: rgb(255,255,204)" | '''Child 7.5(x)'''
 +
| align="center" | Yes<br>
 +
| align="center" | Yes<br>
 +
| align="center" | Yes<br>
 +
|-
 +
! style="color: green; background-color: rgb(255,255,204)" | '''Child 8.0(x)'''
 +
| align="center" | Yes<br>
 +
| align="center" | Yes<br>
 +
| align="center" | Yes<br>
 +
|-
 +
! style="color: green; background-color: rgb(255,255,204)" | '''Child 8.5(x)'''
 +
| align="center" | Yes<br>
 +
| align="center" | Yes<br>
 +
| align="center" | Yes<br>
 +
|}
 +
 
 +
<br>
 +
 
 +
= NAM/CICM&nbsp;Compatibility<br> =
 +
 
 +
{| style="height: 179px; width: 600px" cellspacing="1" cellpadding="1" border="1"
 +
|-
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | NAM&nbsp;Version
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | CICM&nbsp;Version
 +
|-
 +
| align="center" | 8.5<br>
 +
| align="center" | 8.0
 +
|-
 +
| align="center" | 8.5
 +
| align="center" | 7.5
 +
|}
 +
 
 +
<br>
 +
 
 +
'''Note''': The columns can be switched for forward compatibilty. For example, NAM at 8.0 and CICM at 8.5 is a supported configuration. <br>
 +
 
 +
= VDI &amp; Cisco VXI Support<br> =
 +
 
 +
{| style="height: 493px; width: 800px" cellspacing="1" cellpadding="1" border="1"
 +
|-
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | Cisco Client Type
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | Version
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | Virtual Desktop Infrastructure
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | OS Compatibility
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | Cisco VXI Clients
 +
|-
 +
| valign="top" | CTI-OS Clients (All CILs)
 +
| valign="top" | 8.5(1)
 +
| valign="top" | VMWare View 3.0
 +
| valign="top" | Windows 7 32 bit - Supported<br>Windows 7 WoW64 - Unsupported<br>Windows XP 32 bit - Supported
 +
| valign="top" | VXC 2100 - N/A<br>VXC 2200 - N/A<br>VXC 2111 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971<br>VXC 2211 - Supported
 +
|-
 +
| valign="top" | CTI-OS Clients (All CILs)
 +
| valign="top" | 8.5(1)
 +
| valign="top" | Citrix XenDesktop 5.0 or 6.0
 +
| valign="top" | Windows 7 32 bit - Supported<br>Windows 7 WoW64 - Unsupported<br>Win XP 32 Bit - Supported
 +
| valign="top" | VXC 2100 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971<br>VXC 2200 - Supported<br>VXC 2111 - N/A<br>VXC 2211 - N/A
 +
|-
 +
| valign="top" | CTI-OS Clients (All CILs)
 +
| valign="top" | 8.5(x)
 +
| valign="top" | VMWare View 4.6, 5.0
 +
| valign="top" | Windows 7 32 bit - Supported<br>Windows 7 WoW64 - Supported<br>Windows XP 32 bit - Supported
 +
| valign="top" |
 +
VXC 2100 - N/A<br>VXC 2200 - N/A<br>VXC 2111 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971<br>VXC 2211 - Supported
 +
 
 +
VXC6215 - Supported with deskphone only
 +
 
 +
|-
 +
| valign="top" | CTI-OS Clients (All CILs)
 +
| valign="top" | 8.5(x)
 +
| valign="top" | Citrix XenDesktop 5.0, 5.5 or 6.0
 +
| valign="top" | Windows 7 32 bit - Supported<br>Windows 7 WoW64 - Supported<br>Windows XP 32 bit - Supported
 +
| valign="top" |
 +
VXC 2100 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971<br>VXC 2200 - Supported<br>VXC 2111 - N/A<br>VXC 2211 - N/A
 +
 
 +
VXC6215 - Supported with deskphone only
 +
 
 +
|-
 +
| valign="top" | CTI-OS Clients (All CILs)
 +
| valign="top" | 8.5(4)
 +
| valign="top" | Citrix XenDesktop 5.0, 5.5, 6.0, 6.5
 +
| valign="top" | Windows 7 32 bit - Supported<br>Windows 7 WoW64 - Supported<br>Windows XP 32 bit - Supported
 +
| valign="top" |
 +
VXC 2100 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971<br>VXC 2200 - Supported<br>VXC 2111 - N/A<br>VXC 2211 - N/A
 +
 
 +
VXC6215 - Supported with deskphone only
 +
 
 +
|-
 +
| valign="top" | Cisco Agent Desktop (CAD)
 +
| valign="top" | All
 +
| valign="top" | Not Supported
 +
| valign="top" | Not Supported
 +
| valign="top" | Not Supported
 +
|}
 +
 
 +
'''Note:'''<br>
 +
 
 +
*UCM Silent Monitoring is the only type of Silent Monitoring that is supported with VXI/VDI.
 +
*Desktop solutions are supported on PC-like devices only that utilize a keyboard and mouse (no tablets or mobile devices supported at this time).
 +
*The customer is not required to use Cisco VXI endpoints in a VDI solution. The customer can use any VDI endpoint that supports the specific Citrix or VMWare VDI solution versions supported by Cisco. The customer is responsible for ensuring that bandwidth and any other deployment considerations ensure that the solution can meet the performance and timing requirements of CTI-OS.
 +
*For information about CAD wih thin client and virtual desktop environments, see the Integrating CAD with Thin Client and Virtual Desktop Environments document. <br>
 +
 
 +
= Application Virtualization<br> =
 +
 
 +
Windows Server 2008 R2 (SP1)
 +
 
 +
{| cellspacing="1" cellpadding="1" width="800" border="1"
 +
|-
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | Cisco Client Version
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | Version
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | Citrix/XenApp
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | Remote Desktop Services platform
 +
|-
 +
| valign="top" | CTI-OS Clients (All CILs) <br>
 +
| valign="top" | 8.5(3), 8.5(4)<br>
 +
| valign="top" | XenApp 6.0<br>
 +
| valign="top" | Windows Server 2008 R2 (SP1)<br>
 +
|-
 +
| valign="top" | CTI-OS Clients (All CILs)
 +
| valign="top" | 8.5(x)
 +
| valign="top" | XenApp 5.0
 +
| valign="top" | Windows Server 2008 R2 (SP1)<br>
 +
|}
 +
 
 +
<br>
 +
 
 +
<br>
 +
 
 +
= Siebel Compatibility<br> =
 +
 
 +
<br>
 +
 
 +
{| cellspacing="1" cellpadding="1" width="298" border="1"
 +
|-
 +
! style="color: green; background-color: rgb(255,255,204)" | Cisco Siebel Driver <br>
 +
! style="color: green; background-color: rgb(255,255,204)" | Siebel Release<br>
 +
|-
 +
| align="center" | 8.5(x)
 +
| align="center" | 7.8(x), 8.0(x), 8.1(x)
 +
|}
 +
 
 +
<br>
 +
 
 +
= ICM-to-ICM Gateway Requirements  =
 +
 
 +
<br>The following are system requirements for ICM-to-ICM Gateway.
 +
 
 +
*Both the Client ICM and Server ICM must be supported releases of Unified ICM, and they must be within one major version of each other.&nbsp; If two connected ICMs are running with different releases of Unified ICM software, only the ICM-to-ICM Gateway features supported by the lowest numbered release are available.<br>
 +
 
 +
<br>
 +
 
 +
== ICM-to-ICM Gateway Client and Server Release Requirements  ==
 +
 
 +
{| cellspacing="1" cellpadding="1" width="800" border="1"
 +
|-
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | Client/Server 1
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | Client/Server 2
 +
! style="color: green; background-color: rgb(255,255,204)" scope="col" | Comments
 +
|-
 +
| valign="top" | 8.5, 8.0
 +
| valign="top" | 8.0, 8.5
 +
| valign="top" | UCCE 8.5
 +
|}
 +
 
 +
<br>
 +
 
 +
= <br>IP Phone Support<br> =
 +
 
 +
{| cellspacing="1" cellpadding="1" width="800" border="1"
|-
|-
! scope="col" | IP Phone  
! scope="col" | IP Phone  
Line 267: Line 492:
|}
|}
-
<br>  
+
<br>
----
----
-
<br>  
+
<br>
-
{| border="1" class="wikitable"
+
{| class="wikitable" border="1"
|-
|-
-
! style="background-color: rgb(255, 255, 204); color: green;" | '''Back to:''' [[:Category:Unified Contact Center Enterprise|Category:Unified Contact Center Enterprise]]
+
! style="color: green; background-color: rgb(255,255,204)" | '''Back to:''' [[:Category:Unified Contact Center Enterprise|Category:Unified Contact Center Enterprise]]
 +
|}
 +
 
|}
|}

Revision as of 19:04, 19 February 2014

Go to: Guidelines to Edit the Compatibility Matrix for Unified CCE

Go to: Compatibility Matrix for Unified CCE

Go to: Category:Unified Contact Center Enterprise


Introduction

This compatibility matrix specifies all supported configurations and versions for Cisco Unified Contact Center Enterprise 8.5(x). The information in this compatibility matrix supersedes compatibility information in any other Cisco Unified Contact Center Enterprise documentation. If a configuration or version is not stated, that configuration or version is not supported.


Contents

Unified CCE 8.5(x) Product Sets

Unified CM IVR (IP-IVR
and CVP)

PG/CAD/CTI OS
Server

(See Note 5)

CTI OS
Desktop

(See Note 5)

Unified
Intelligence
Center
Unified
EIM/WIM
Unified CRM
Version
 RSM  

Unified CCMP

(See Note 4)

Finesse
8.6(x)

IP IVR
8.5(1)
8.0(x)

CVP
9.0.(1)
8.5(1)
8.0(x)

PG 8.5(x)
8.0(x)
7.5(x)

CAD 8.5 (x)

CTI OS Server
8.5(x)
8.0(x)
7.5(x)

8.5(x)
8.0(x)
7.5(x)

9.1(x)

9.0(x)

8.5(x)
8.0(x)

9.0(2)

9.0(1)

4.4(1)

4.3(2)

CRM for SAP
1.0(2)

CRM for Siebel 8.5(x)
CRM for PeopleSoft
7.5(2)
1.1 (2)

CRM for Salesforce
7.5(2)
1.1 (2)

CRM for Microsoft Dynamics CRM
7.5(2)
1.1 (2)

9.1(1)
9.0(1)
8.5(2)
8.5(1)

9.x(x)

8.5(3)

8.5(2)

8.5(3) - Requires CCE 8.5(3)
8.5(1)

IP IVR
8.5(1)
8.0(x)

CVP
8.5(1)
8.0(x)

PG 8.5(x)
8.0(x)
7.5(x)

CAD 8.5(x)

CTI OS Server
8.5(x)
8.0(x)
7.5(x)

8.5(x)
8.0(x)
7.5(x)

9.1(x)

9.0(x)

8.5(x)
8.0(x)

9.0(2)

9.0(1)

4.4(1)

4.3(2)

CRM for Siebel 8.5(x)

CRM for SAP 1.0(2)

CRM for PeopleSoft
7.5(2)
1.1 (2)

CRM for Salesforce
7.5(2)
1.1 (2)

CRM for Microsoft Dynamics CRM
7.5(2)
1.1 (2)

9.1(1)
9.0(1)
8.5(1)
8.0(x)

9.x(x)

8.5(3)

8.5(2)

Not Supported
8.0(x) IP IVR
8.5(1)
8.0(x)

CVP
8.5(1)
8.0(x)

PG 8.5(x)
8.0(x)
7.5(x)

CAD
8.5

CTI OS Server
8.5(x)
8.0(x)
7.5(x)

8.5(x)
8.0(x)
7.5(x)

9.1(x)

9.0(x)

8.5(x)
8.0(x)

9.0(2)

9.0(1)

4.4(1)
4.3(2)

CRM for Siebel 8.5(x)

CRM for SAP 1.0(2)

CRM for PeopleSoft
7.5(2)
1.1 (2)

CRM for Salesforce
7.5(2)
1.1 (2)

CRM for Microsoft Dynamics CRM
7.5(2)
1.1 (2)

9.1(1)
9.0(1)
8.5(1)
8.0(x)
1.0(2)

8.5(3)

8.5(2)

Not Supported
7.1(5) IP IVR
8.0(x)

CVP
8.5(1)
8.0(x)

PG
8.5(x)
8.0(x)
7.5(x)

CAD
8.5

CTI OS Server
8.5(x)
8.0(x)
7.5(x)

8.5(x)
8.0(x)
7.5(x)

9.1(x)

9.0(x)

8.5(x)
8.0(x)

9.0(2)

9.0(1)

4.4(1)

4.3(2)

CRM for Siebel 8.5(x)

CRM for SAP 1.0(2)

CRM for PeopleSoft
7.5(2)
1.1 (2)

CRM for Salesforce
7.5(2)
1.1 (2)

CRM for Microsoft Dynamics CRM
7.5(2)
1.1 (2)

9.1(1)
9.0(1)
8.5(1)
8.0(x)
1.0(2)
8.5(2) Not Supported


Unified CCE 8.5(x) Notes

  1. Outbound Option SIP Dialer:
    Supports 28xx, 38xx, AS5350xm, and AS5400xm gateways with a PVDM2 DSP card
    Supports ISR G2 gateways (29xx and 39xx) with PVDM3 DSP card
    When needed for design, requires Cisco Unified SIP Proxy Version 8.5(1) or later
    Supports IOS Release 15.1(x)T, 15.2(4)M
    CUBE cannot be used as a SIP proxy for the SIP dialer. However, CUBE is allowed between the Gateways and rest of UCCE/ICM solution only when implementing MediaSense. Please reference the MediaSense SRND for full implementation details.
  2. Unified Communications Manager 8.5(x) is supported with a Unified CCE 8.5(x) Peripheral Gateway (PG) only.
  3. Unified CCE 8.5(x) Central Controller supports PGs running at the following versions for backward compatibility during upgrade: 7.5(x) and 8.0(x). For UCM compatibility for these PGs, see the UCM Compatibility Guide.
  4. Unified CCMP 8.5(1), which is supported on Microsoft Windows 2003 is compatible with Unified CCE 8.5(1).  Unified CCMP 8.5(2) and 8.5(3), which are supported on Microsoft Windows 2008, are compatible with Unified CCE 8.5(2), 8.5(3), and 8.5(4).
  5. The PG, CTI Server, and CTI OS server versions must all be at the same version. Additionally, the PG, CTI Server, CTI OS Server, and CTI OS desktop versions cannot be higher than the Central Controller version.
  6. Backward compatible PGs are intended to be supported during the transition when you upgrade the Central Controller and PGs to the same version.
  7. MR PG and Dialer must be at the same version.


General Compatibility Notes and Limitations

Component Notes
Phones The following general limitations pertain to IP phones used with Unified CCE Enterprise deployments:
  • Third-party SIP phones are not supported as contact center agent phones. The SIP standard does not include the necessary messaging for third-party Call Control (3PCC). Unified CCE relies on CTI capabilities on the SIP phones that third-party phones do not have. As an alternative, you may choose to deploy the Mobile Agent solution to enable Cisco Unified CCE and Contact Center Hosted (CCH) to use any phone as an agent phone. Please consult with your Cisco Sales Engineer for additional detail on this configuration.
  • IP Communicator is not supported with Cisco Agent Desktop (CAD) IP Phone Agent.
  • See the Cisco Unified Communications Manager Compatibility Guide for SIP and other phone protocol support.
System Peripheral Gateway (PG) Deployments The following general limitations pertain to Unified CCE deployments that use the System PG:


Unified CCE Parent / Child Compatibility

Release
Parent 7.5(x) Parent 8.0(x) Parent 8.5(x)
Child 7.5(x) Yes
Yes
Yes
Child 8.0(x) Yes
Yes
Yes
Child 8.5(x) Yes
Yes
Yes


NAM/CICM Compatibility

NAM Version CICM Version
8.5
8.0
8.5 7.5


Note: The columns can be switched for forward compatibilty. For example, NAM at 8.0 and CICM at 8.5 is a supported configuration.

VDI & Cisco VXI Support

Cisco Client Type Version Virtual Desktop Infrastructure OS Compatibility Cisco VXI Clients
CTI-OS Clients (All CILs) 8.5(1) VMWare View 3.0 Windows 7 32 bit - Supported
Windows 7 WoW64 - Unsupported
Windows XP 32 bit - Supported
VXC 2100 - N/A
VXC 2200 - N/A
VXC 2111 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971
VXC 2211 - Supported
CTI-OS Clients (All CILs) 8.5(1) Citrix XenDesktop 5.0 or 6.0 Windows 7 32 bit - Supported
Windows 7 WoW64 - Unsupported
Win XP 32 Bit - Supported
VXC 2100 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971
VXC 2200 - Supported
VXC 2111 - N/A
VXC 2211 - N/A
CTI-OS Clients (All CILs) 8.5(x) VMWare View 4.6, 5.0 Windows 7 32 bit - Supported
Windows 7 WoW64 - Supported
Windows XP 32 bit - Supported

VXC 2100 - N/A
VXC 2200 - N/A
VXC 2111 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971
VXC 2211 - Supported

VXC6215 - Supported with deskphone only

CTI-OS Clients (All CILs) 8.5(x) Citrix XenDesktop 5.0, 5.5 or 6.0 Windows 7 32 bit - Supported
Windows 7 WoW64 - Supported
Windows XP 32 bit - Supported

VXC 2100 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971
VXC 2200 - Supported
VXC 2111 - N/A
VXC 2211 - N/A

VXC6215 - Supported with deskphone only

CTI-OS Clients (All CILs) 8.5(4) Citrix XenDesktop 5.0, 5.5, 6.0, 6.5 Windows 7 32 bit - Supported
Windows 7 WoW64 - Supported
Windows XP 32 bit - Supported

VXC 2100 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971
VXC 2200 - Supported
VXC 2111 - N/A
VXC 2211 - N/A

VXC6215 - Supported with deskphone only

Cisco Agent Desktop (CAD) All Not Supported Not Supported Not Supported

Note:

  • UCM Silent Monitoring is the only type of Silent Monitoring that is supported with VXI/VDI.
  • Desktop solutions are supported on PC-like devices only that utilize a keyboard and mouse (no tablets or mobile devices supported at this time).
  • The customer is not required to use Cisco VXI endpoints in a VDI solution. The customer can use any VDI endpoint that supports the specific Citrix or VMWare VDI solution versions supported by Cisco. The customer is responsible for ensuring that bandwidth and any other deployment considerations ensure that the solution can meet the performance and timing requirements of CTI-OS.
  • For information about CAD wih thin client and virtual desktop environments, see the Integrating CAD with Thin Client and Virtual Desktop Environments document.

Application Virtualization

Windows Server 2008 R2 (SP1)

Cisco Client Version Version Citrix/XenApp Remote Desktop Services platform
CTI-OS Clients (All CILs)
8.5(3), 8.5(4)
XenApp 6.0
Windows Server 2008 R2 (SP1)
CTI-OS Clients (All CILs) 8.5(x) XenApp 5.0 Windows Server 2008 R2 (SP1)



Siebel Compatibility


Cisco Siebel Driver
Siebel Release
8.5(x) 7.8(x), 8.0(x), 8.1(x)


ICM-to-ICM Gateway Requirements


The following are system requirements for ICM-to-ICM Gateway.

  • Both the Client ICM and Server ICM must be supported releases of Unified ICM, and they must be within one major version of each other.  If two connected ICMs are running with different releases of Unified ICM software, only the ICM-to-ICM Gateway features supported by the lowest numbered release are available.


ICM-to-ICM Gateway Client and Server Release Requirements

Client/Server 1 Client/Server 2 Comments
8.5, 8.0 8.0, 8.5 UCCE 8.5



IP Phone Support

IP Phone Supported Notes
99xx series Y 9951 and 9971 are supported.
The 99xx series is not supported with RSM.
89xx series Y 8961 is supported.
The 89xx series is not supported with RSM.
797x Y 7970 is not supported with Unified CM based Silent Monitor or RSM.
7975 only is supported with Agent Greeting or Whisper Announcement.
796x Y 7961, 7962, and 7965 are supported.
The 7960 model is not supported with Unified CM based Silent Monitor, RSM, or Agent Greeting and Whisper Announcement.
794x Y 7941, 7942, and 7945 are supported.
The 7940 model is not supported with Unified CM based Silent Monitor, RSM, Agent Greeting, or Whisper Announcement.
793x N
792x Y 7921 and 7925 are supported.
The 792x series is not supported with Agent Greeting or Whisper Announcement.
791x Y 7910, 7911, and 7912 are supported.
The 791x series is not supported with Unified CCE based Silent Monitor, RSM, Agent Greeting, or Whisper Announcement.
69xx series Y 6921, 6941, 6961, and 6945 are supported.
6945 is not supported with Agent Greeting or Whisper Announcement.
Cisco IP Communicator Y Versions 7.0(x) and 8.6(x) are supported.
Version 7.0(x) is not supported with Agent Greeting and Whisper Announcement.




Back to: Category:Unified Contact Center Enterprise

Rating: 3.1/5 (16 votes cast)

Personal tools